Resize a Service
curl --request POST \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/resize \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"cpu_millis": 1000,
"memory_gbs": 4,
"nodes": 2
}
'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/resize"
payload = {
"cpu_millis": 1000,
"memory_gbs": 4,
"nodes": 2
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({cpu_millis: 1000, memory_gbs: 4, nodes: 2})
};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/resize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>"
}Resize a Service
Changes the CPU and memory allocation for a specific service within a project.
POST
/
projects
/
{project_id}
/
services
/
{service_id}
/
resize
Resize a Service
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
Example:
"rp1pz7uyae"
The unique identifier of the service.
Example:
"d1k5vk7hf2"
Body
application/json
Response
Resize request has been accepted and is in progress.